curl --request GET \
--url {schemes}://api.upsun.com/teams \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"organization_id": "<string>",
"label": "<string>",
"project_permissions": [
"admin"
],
"counts": {
"member_count": 123,
"project_count": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"count": 123,
"_links": {
"self": {
"href": "<string>"
},
"previous": {
"href": "<string>"
},
"next": {
"href": "<string>"
}
}
}{
"error": "<string>"
}List teams
Retrieves a list of teams.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Allows filtering by organization_id using one or more operators.
Show child attributes
Show child attributes
Allows filtering by id using one or more operators.
Show child attributes
Show child attributes
Allows filtering by updated_at using one or more operators.
Show child attributes
Show child attributes
Determines the number of items to show.
1 <= x <= 100Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.
Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.
Allows sorting by a single field.
Use a dash ("-") to sort descending.
label, -label, created_at, -created_at, updated_at, -updated_at Was this page helpful?